Summary: Utilities for managing processes on your system
Name: psmisc
Version: 23.7
Release: r0
License: GPL-2.0-only
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://psmisc.sf.net/
Source0: psmisc-23.7-r0.tar.xz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gettext-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: ncurses
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/libintl
BuildRequires: virtual/update-alternatives
Requires: fuser
Requires: killall
Requires: pstree

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n psmisc-src
Summary: Utilities for managing processes on your system - Source files
License: GPL-2.0-only
Group: devel

%description -n psmisc-src
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains sources for debugging purposes.

%package -n psmisc-dbg
Summary: Utilities for managing processes on your system - Debugging files
License: GPL-2.0-only
Group: devel
Recommends: glibc-dbg
Recommends: ncurses-libtinfo-dbg

%description -n psmisc-dbg
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n fuser
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.28)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.28)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): ld-linux-aarch64.so.1()(64bit)
Requires(preun): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6(GLIBC_2.28)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/fuser

%description -n fuser
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n fuser-doc
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base

%description -n fuser-doc
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n killall
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): ld-linux-aarch64.so.1()(64bit)
Requires(preun): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/killall

%description -n killall
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n killall-doc
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base

%description -n killall-doc
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n pstree
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libtinfo.so.5()(64bit)
Requires: libtinfo5 >= 6.5
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libtinfo.so.5()(64bit)
Requires(post): libtinfo5 >= 6.5
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): ld-linux-aarch64.so.1()(64bit)
Requires(preun): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): libtinfo.so.5()(64bit)
Requires(preun): libtinfo5 >= 6.5
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/pstree

%description -n pstree
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n pstree-doc
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base

%description -n pstree-doc
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%package -n psmisc-staticdev
Summary: Utilities for managing processes on your system - Development files (Static Libraries)
License: GPL-2.0-only
Group: devel
Requires: psmisc-dev = 23.7-r0

%description -n psmisc-staticdev
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains static libraries for software development.

%package -n psmisc-dev
Summary: Utilities for managing processes on your system - Development files
License: GPL-2.0-only
Group: devel
Recommends: fuser-dev
Recommends: glibc-dev
Recommends: killall-dev
Recommends: ncurses-dev
Recommends: ncurses-libtinfo-dev
Recommends: psmisc = 23.7-r0
Recommends: pstree-dev
Recommends: update-alternatives-opkg-dev

%description -n psmisc-dev
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n psmisc-doc
Summary: Utilities for managing processes on your system - Documentation files
License: GPL-2.0-only
Group: doc

%description -n psmisc-doc
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains documentation.

%package -n psmisc-locale-bg
Summary: Utilities for managing processes on your system - bg translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-bg
Provides: bg-translation
Provides: psmisc-locale

%description -n psmisc-locale-bg
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the bg locale.

%package -n psmisc-locale-ca
Summary: Utilities for managing processes on your system - ca translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-ca
Provides: ca-translation
Provides: psmisc-locale

%description -n psmisc-locale-ca
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the ca locale.

%package -n psmisc-locale-cs
Summary: Utilities for managing processes on your system - cs translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-cs
Provides: cs-translation
Provides: psmisc-locale

%description -n psmisc-locale-cs
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the cs locale.

%package -n psmisc-locale-da
Summary: Utilities for managing processes on your system - da translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-da
Provides: da-translation
Provides: psmisc-locale

%description -n psmisc-locale-da
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the da locale.

%package -n psmisc-locale-de
Summary: Utilities for managing processes on your system - de translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-de
Provides: de-translation
Provides: psmisc-locale

%description -n psmisc-locale-de
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the de locale.

%package -n psmisc-locale-el
Summary: Utilities for managing processes on your system - el translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-el
Provides: el-translation
Provides: psmisc-locale

%description -n psmisc-locale-el
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the el locale.

%package -n psmisc-locale-eo
Summary: Utilities for managing processes on your system - eo translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-eo
Provides: eo-translation
Provides: psmisc-locale

%description -n psmisc-locale-eo
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the eo locale.

%package -n psmisc-locale-es
Summary: Utilities for managing processes on your system - es translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-es
Provides: es-translation
Provides: psmisc-locale

%description -n psmisc-locale-es
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the es locale.

%package -n psmisc-locale-eu
Summary: Utilities for managing processes on your system - eu translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-eu
Provides: eu-translation
Provides: psmisc-locale

%description -n psmisc-locale-eu
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the eu locale.

%package -n psmisc-locale-fi
Summary: Utilities for managing processes on your system - fi translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-fi
Provides: fi-translation
Provides: psmisc-locale

%description -n psmisc-locale-fi
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the fi locale.

%package -n psmisc-locale-fr
Summary: Utilities for managing processes on your system - fr translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-fr
Provides: fr-translation
Provides: psmisc-locale

%description -n psmisc-locale-fr
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the fr locale.

%package -n psmisc-locale-hr
Summary: Utilities for managing processes on your system - hr translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-hr
Provides: hr-translation
Provides: psmisc-locale

%description -n psmisc-locale-hr
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the hr locale.

%package -n psmisc-locale-hu
Summary: Utilities for managing processes on your system - hu translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-hu
Provides: hu-translation
Provides: psmisc-locale

%description -n psmisc-locale-hu
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the hu locale.

%package -n psmisc-locale-id
Summary: Utilities for managing processes on your system - id translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-id
Provides: id-translation
Provides: psmisc-locale

%description -n psmisc-locale-id
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the id locale.

%package -n psmisc-locale-it
Summary: Utilities for managing processes on your system - it translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-it
Provides: it-translation
Provides: psmisc-locale

%description -n psmisc-locale-it
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the it locale.

%package -n psmisc-locale-ja
Summary: Utilities for managing processes on your system - ja translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-ja
Provides: ja-translation
Provides: psmisc-locale

%description -n psmisc-locale-ja
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the ja locale.

%package -n psmisc-locale-ka
Summary: Utilities for managing processes on your system - ka translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-ka
Provides: ka-translation
Provides: psmisc-locale

%description -n psmisc-locale-ka
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the ka locale.

%package -n psmisc-locale-ko
Summary: Utilities for managing processes on your system - ko translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-ko
Provides: ko-translation
Provides: psmisc-locale

%description -n psmisc-locale-ko
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the ko locale.

%package -n psmisc-locale-nb
Summary: Utilities for managing processes on your system - nb translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-nb
Provides: nb-translation
Provides: psmisc-locale

%description -n psmisc-locale-nb
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the nb locale.

%package -n psmisc-locale-nl
Summary: Utilities for managing processes on your system - nl translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-nl
Provides: nl-translation
Provides: psmisc-locale

%description -n psmisc-locale-nl
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the nl locale.

%package -n psmisc-locale-pl
Summary: Utilities for managing processes on your system - pl translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-pl
Provides: pl-translation
Provides: psmisc-locale

%description -n psmisc-locale-pl
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the pl locale.

%package -n psmisc-locale-pt
Summary: Utilities for managing processes on your system - pt translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-pt
Provides: psmisc-locale
Provides: pt-translation

%description -n psmisc-locale-pt
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the pt locale.

%package -n psmisc-locale-pt-br
Summary: Utilities for managing processes on your system - pt_BR translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-pt-br
Provides: psmisc-locale
Provides: pt-br-translation

%description -n psmisc-locale-pt-br
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the pt_BR locale.

%package -n psmisc-locale-ro
Summary: Utilities for managing processes on your system - ro translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-ro
Provides: psmisc-locale
Provides: ro-translation

%description -n psmisc-locale-ro
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the ro locale.

%package -n psmisc-locale-ru
Summary: Utilities for managing processes on your system - ru translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-ru
Provides: psmisc-locale
Provides: ru-translation

%description -n psmisc-locale-ru
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the ru locale.

%package -n psmisc-locale-sr
Summary: Utilities for managing processes on your system - sr translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-sr
Provides: psmisc-locale
Provides: sr-translation

%description -n psmisc-locale-sr
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the sr locale.

%package -n psmisc-locale-sv
Summary: Utilities for managing processes on your system - sv translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-sv
Provides: psmisc-locale
Provides: sv-translation

%description -n psmisc-locale-sv
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the sv locale.

%package -n psmisc-locale-uk
Summary: Utilities for managing processes on your system - uk translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-uk
Provides: psmisc-locale
Provides: uk-translation

%description -n psmisc-locale-uk
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the uk locale.

%package -n psmisc-locale-vi
Summary: Utilities for managing processes on your system - vi translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-vi
Provides: psmisc-locale
Provides: vi-translation

%description -n psmisc-locale-vi
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the vi locale.

%package -n psmisc-locale-zh-cn
Summary: Utilities for managing processes on your system - zh_CN translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-zh-cn
Provides: psmisc-locale
Provides: zh-cn-translation

%description -n psmisc-locale-zh-cn
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the zh_CN locale.

%package -n psmisc-locale-zh-tw
Summary: Utilities for managing processes on your system - zh_TW translations
License: GPL-2.0-only
Group: base
Recommends: virtual-locale-zh-tw
Provides: psmisc-locale
Provides: zh-tw-translation

%description -n psmisc-locale-zh-tw
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.  This package
contains language translation files for the zh_TW locale.

%package -n psmisc-extras
Summary: Utilities for managing processes on your system
License: GPL-2.0-only
Group: base
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)

%description -n psmisc-extras
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%post -n fuser
# fuser - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/bin/fuser fuser /usr/bin/fuser.psmisc 90


%preun -n fuser
# fuser - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  fuser /usr/bin/fuser.psmisc
fi

%post -n killall
# killall - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/bin/killall killall /usr/bin/killall.psmisc 90


%preun -n killall
# killall - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  killall /usr/bin/killall.psmisc
fi

%post -n pstree
# pstree - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/bin/pstree pstree /usr/bin/pstree.psmisc 90


%preun -n pstree
# pstree - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  pstree /usr/bin/pstree.psmisc
fi

%files
%defattr(-,-,-,-)

%files -n psmisc-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/psmisc"
%attr(755,root,root) %dir "/usr/src/debug/psmisc/23.7"
%attr(755,root,root) %dir "/usr/src/debug/psmisc/23.7/src"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/killall.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/fuser.h"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/prtstat.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/statx.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/pstree.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/statx.h"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/prtstat.h"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/pslog.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/peekfd.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/fuser.c"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/signals.h"
%attr(644,root,root) "/usr/src/debug/psmisc/23.7/src/signals.c"

%files -n psmisc-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/killall.psmisc"
%attr(755,root,root) "/usr/bin/.debug/pstree.psmisc"
%attr(755,root,root) "/usr/bin/.debug/fuser.psmisc"
%attr(755,root,root) "/usr/bin/.debug/pslog"
%attr(755,root,root) "/usr/bin/.debug/prtstat"
%attr(755,root,root) "/usr/bin/.debug/peekfd"

%files -n fuser
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/fuser.psmisc"

%files -n fuser-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/fuser.1"

%files -n killall
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/killall.psmisc"

%files -n killall-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/killall.1"

%files -n pstree
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/pstree.psmisc"

%files -n pstree-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/pstree.1"

%files -n psmisc-dev
%defattr(-,-,-,-)

%files -n psmisc-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/peekfd.1"
%attr(644,root,root) "/usr/share/man/man1/prtstat.1"
%attr(644,root,root) "/usr/share/man/man1/pslog.1"

%files -n psmisc-locale-bg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/bg"
%attr(755,root,root) %dir "/usr/share/locale/bg/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/bg/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-ca
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ca"
%attr(755,root,root) %dir "/usr/share/locale/ca/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ca/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-cs
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/cs"
%attr(755,root,root) %dir "/usr/share/locale/cs/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/cs/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-da
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/da"
%attr(755,root,root) %dir "/usr/share/locale/da/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/da/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-de
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/de"
%attr(755,root,root) %dir "/usr/share/locale/de/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/de/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-el
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/el"
%attr(755,root,root) %dir "/usr/share/locale/el/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/el/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-eo
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eo"
%attr(755,root,root) %dir "/usr/share/locale/eo/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eo/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-es
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/es"
%attr(755,root,root) %dir "/usr/share/locale/es/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/es/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-eu
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eu"
%attr(755,root,root) %dir "/usr/share/locale/eu/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eu/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-fi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fi"
%attr(755,root,root) %dir "/usr/share/locale/fi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fi/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-fr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fr"
%attr(755,root,root) %dir "/usr/share/locale/fr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fr/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-hr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hr"
%attr(755,root,root) %dir "/usr/share/locale/hr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hr/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-hu
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hu"
%attr(755,root,root) %dir "/usr/share/locale/hu/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hu/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-id
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/id"
%attr(755,root,root) %dir "/usr/share/locale/id/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/id/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-it
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/it"
%attr(755,root,root) %dir "/usr/share/locale/it/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/it/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-ja
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ja"
%attr(755,root,root) %dir "/usr/share/locale/ja/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ja/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-ka
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ka"
%attr(755,root,root) %dir "/usr/share/locale/ka/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ka/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-ko
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ko"
%attr(755,root,root) %dir "/usr/share/locale/ko/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ko/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-nb
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/nb"
%attr(755,root,root) %dir "/usr/share/locale/nb/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/nb/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-nl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/nl"
%attr(755,root,root) %dir "/usr/share/locale/nl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/nl/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-pl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pl"
%attr(755,root,root) %dir "/usr/share/locale/pl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pl/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-pt
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt"
%attr(755,root,root) %dir "/usr/share/locale/pt/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-pt-br
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt_BR/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-ro
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ro"
%attr(755,root,root) %dir "/usr/share/locale/ro/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ro/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-ru
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ru"
%attr(755,root,root) %dir "/usr/share/locale/ru/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ru/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-sr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sr"
%attr(755,root,root) %dir "/usr/share/locale/sr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sr/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-sv
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sv"
%attr(755,root,root) %dir "/usr/share/locale/sv/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sv/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-uk
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/uk"
%attr(755,root,root) %dir "/usr/share/locale/uk/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/uk/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-vi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/vi"
%attr(755,root,root) %dir "/usr/share/locale/vi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/vi/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-zh-cn
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_CN/LC_MESSAGES/psmisc.mo"

%files -n psmisc-locale-zh-tw
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_TW"
%attr(755,root,root) %dir "/usr/share/locale/zh_TW/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_TW/LC_MESSAGES/psmisc.mo"

%files -n psmisc-extras
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/pslog"
%attr(777,root,root) "/usr/bin/pstree.x11"
%attr(755,root,root) "/usr/bin/prtstat"
%attr(755,root,root) "/usr/bin/peekfd"

%%prep
echo "include logs and patches, Please check them in SOURCES"

